=== debian/changelog ===
digikam (4:8.5.0-4ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:12:34 -0500

digikam (4:8.5.0-4ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add apparmor profile to fix userns:
      + Add debian/digikam-apparmor.
      + debian/control: Depend on apparmor, build depend on dh-apparmor and
        debhelper-compat (=13).
      + debian/rules:copy profile to tmp dir and invoke dh_apparmor.
      + debian/digikam.install: Install profile.

 -- Rik Mills <rikmills@kde.org>  Mon, 17 Feb 2025 12:15:33 +0000

digikam (4:8.5.0-4) unstable; urgency=medium

  * Release to unstable, now that opencv 4.10 is available.

 -- Steve M. Robbins <smr@debian.org>  Sat, 15 Feb 2025 18:33:17 -0600

digikam (4:8.5.0-3) experimental; urgency=medium

  * [e09457e] Update opencv dependency to 4.10 (fixes face detection).

 -- Steve M. Robbins <smr@debian.org>  Tue, 07 Jan 2025 22:33:00 -0600

digikam (4:8.5.0-2ubuntu3) plucky; urgency=medium

  * Rebuild against latest jpeg-xl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 09 Feb 2025 17:21:44 -0500

digikam (4:8.5.0-2ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Feb 2025 03:38:58 -0600

digikam (4:8.5.0-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add apparmor profile to fix userns:
      + Add debian/digikam-apparmor.
      + debian/control: Depend on apparmor, build depend on dh-apparmor and
        debhelper-compat (=13).
      + debian/rules:copy profile to tmp dir and invoke dh_apparmor.
      + debian/digikam.install: Install profile.

 -- Rik Mills <rikmills@kde.org>  Sun, 02 Feb 2025 12:31:00 +0000

digikam (4:8.5.0-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [a07b81c] Update standards-version; no changes
  * [5d2862d] Update patch forwarded dispositions.
  * [60e4a52] Declare digikam-data as Multi-Arch: foreign
  * [3d0b630] Suggest libimage-exiftool-perl.  Closes: #1055003.
  * [7fc56b2] Add version to imagemagick-6-common build-conflict because
    the imagemagick-7-common package now provides imagemagick-6-common
    to allow for smooth updates.  Closes: #1092312.

 -- Steve M. Robbins <smr@debian.org>  Tue, 07 Jan 2025 22:21:36 -0600

digikam (4:8.5.0-1ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:18:49 -0600

digikam (4:8.5.0-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add apparmor profile to fix userns:
      + Add debian/digikam-apparmor.
      + debian/control: Depend on apparmor, build depend on dh-apparmor and
        debhelper-compat (=13).
      + debian/rules:copy profile to tmp dir and invoke dh_apparmor.
      + debian/digikam.install: Install profile.

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:24:52 +0000

digikam (4:8.5.0-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [df40dfc] Fix watch file to ensure the source package is selected.
  * [9fd25c5] New upstream version 8.5.0
  * [c3d97d8] Updates to dependencies and configuration.
  * [4ba829e] Updates to dependencies and configuration.

 -- Steve M. Robbins <smr@debian.org>  Sat, 16 Nov 2024 17:49:15 -0600

digikam (4:8.4.0-4ubuntu2) plucky; urgency=medium

  * No change rebuild against libexiv2-28

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Nov 2024 13:04:31 +0000

digikam (4:8.4.0-4ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add apparmor profile to fix userns:
      + Add debian/digikam-apparmor.
      + debian/control: Depend on apparmor, build depend on dh-apparmor and
        debhelper-compat (=13).
      + debian/rules:copy profile to tmp dir and invoke dh_apparmor.
      + debian/digikam.install: Install profile.
  * Merged to fix FTBFS against ImageMagic 7.

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 12:32:54 +0000

digikam (4:8.4.0-4) unstable; urgency=medium

  [ Steve Robbins ]
  * [9241918] Fix build with ImageMagick-7.  Closes: #1086354.

 -- Steve M. Robbins <smr@debian.org>  Thu, 31 Oct 2024 01:08:57 -0500

digikam (4:8.4.0-3ubuntu4) plucky; urgency=medium

  * No-change rebuild against libexiv2-28.

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 11:41:30 +0000

digikam (4:8.4.0-3ubuntu3) plucky; urgency=medium

  * No-change rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:51:12 +0100
