=== debian/control ===
Source: digikam
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>,
Section: graphics
Priority: optional
Build-Depends: debhelper-compat (= 13),
# Build Helpers
               appstream,
               bison,
               cmake (>= 3.22.0),
               dh-apparmor,
               extra-cmake-modules (>= 5.91.0),
               flex,
               gphoto2,
               help2man,
# KDE Components
               libkf6calendarcore-dev,
               libkf6contacts-dev,
               libkf6filemetadata-dev,
               libkf6iconthemes-dev,
               libkf6kio-dev,
               libkf6notifyconfig-dev,
               libkf6service-dev,
               libkf6solid-dev,
               libkf6sonnet-dev,
               libkf6threadweaver-dev,
               libkf6windowsystem-dev,
               libkf6xmlgui-dev,
# Qt Libraries
               qt6-multimedia-dev,
               qt6-networkauth-dev,
               qt6-scxml-dev,
               qt6-svg-dev,
               qt6-webengine-dev,
# FFMPEG libraries
               libavcodec-dev, libavdevice-dev, libavfilter-dev, libavformat-dev, libavutil-dev, libpostproc-dev, libswresample-dev, libswscale-dev,
               libboost-graph-dev,
               libeigen3-dev (>= 3.1.2),
               libexiv2-dev (>= 0.27),
               libexpat1-dev | libexpat-dev,
               libheif-dev,
               libgphoto2-dev,
               libjpeg-dev, libjxl-dev,
               liblcms2-dev,
               liblensfun-dev,
               liblqr-1-0-dev,
               libmagick++-dev (>= 7),
               imagemagick-7.q16,
               libmarble-dev,
               libopencv-dev (>= 4.10),
               libpng-dev,
               libpulse-dev,
               libtiff-dev,
               libusb-1.0-0-dev [linux-any],
               libx265-dev,
               libxslt1-dev,
               libxml2-dev,
               libxv-dev,
               pkgconf,
               pkg-kde-tools (>= 0.15.21),
               portaudio19-dev
Build-Conflicts: libgraphicsmagick1-dev, imagemagick-6-common (<< 7.0),
                 libboost1.62-dev (<< 1.62.0+dfsg-4)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/digikam
Vcs-Git: https://salsa.debian.org/debian/digikam.git
Homepage: http://www.digikam.org

Package: digikam-private-libs
Architecture: amd64 arm64 armhf i386
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: private libraries for digiKam plugins
 This package contains private libraries to be used by digikam.
 .
 This has no use for anything else than digikam, since the libraries are
 installed in a private library path.

Package: digikam
Architecture: amd64 arm64 armhf i386
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         digikam-private-libs (= ${binary:Version}),
         libqt6sql6-sqlite,
         libqt6sql6-mysql,
         digikam-data (= ${source:Version})
Recommends: www-browser,
            ffmpegthumbs
Suggests: digikam-doc,
          libimage-exiftool-perl,
          breeze-icon-theme,
          systemsettings,
          apparmor,
Description: digital photo management application for KDE
 Digital photo management program designed to import, organize, enhance, search
 and export your digital images to and from your computer.
 .
 It provides a simple interface which makes importing and organizing digital
 photographs a "snap". digiKam enables you to manage large numbers of
 digital photographs in albums and to organize these photographs for easy
 retrieval using tags (keywords), captions, collections, dates, geolocation
 and searches. It has many features for viewing, organizing, processing and
 sharing your images. Thus, digiKam is a formidable digital asset management
 (DAM) software including powerful image editing functions.
 .
 An easy-to-use camera interface is provided, that will connect to your
 digital camera and download photographs directly into digiKam albums.
 More than 1000 digital cameras are supported by the gphoto2 library.
 Of course, any media or card reader supported by your operating system
 will interface with digiKam.
 .
 digiKam incorporates a fast Image Editor with many image editing tools.
 You can use the Image Editor to view your photographs, comment and rate
 them, correct, enhance and alter them. The editing power can be easily
 extended by a set of plugins, the KDE Image Plugins Interface (manual)
 .
 While digiKam remains easy to use, it provides professional level features
 by the dozens. It is fully 16 bit enabled including all available plugins,
 supports RAW format conversion through libraw, DNG export and ICC color
 management work flow.

Package: showfoto
Architecture: amd64 arm64 armhf i386
Depends: ${shlibs:Depends},
         ${misc:Depends},
         digikam-data (= ${source:Version}),
         digikam-private-libs (= ${binary:Version})
Recommends: dolphin
Description: image viewer/editor for KDE
 showFoto is the standalone image editor of the digiKam project.
 .
 It runs without digiKam images database support, but provides all Image Editor
 functions.

Package: digikam-data
Architecture: all
Depends: ${misc:Depends},
         opencv-data
Multi-Arch: foreign
Description: digiKam architecture-independant data
 Contains the significant amount of architecture-independent data that is
 shipped with digiKam.
 .
 It has been placed in an architecture all file to reduce space on the
 archives, rather than one copy for each architecture.
